<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: src Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('dir_6c198461db290ac9abcdd44184573216.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">src Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:_ahrs_data_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_ahrs_data_8h.html">AhrsData.h</a> <a href="_ahrs_data_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_ahrs_data_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining AHRS datas. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_box_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_box_8h.html">Box.h</a> <a href="_box_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_box_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class to display a box on the ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_check_box_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_check_box_8h.html">CheckBox.h</a> <a href="_check_box_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_check_box_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qcheckbox.html">QCheckBox</a> on the ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_combo_box_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_combo_box_8h.html">ComboBox.h</a> <a href="_combo_box_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_combo_box_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qcombobox.html">QComboBox</a> on the ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_condition_variable_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_condition_variable_8h.html">ConditionVariable.h</a> <a href="_condition_variable_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_condition_variable_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a condition variable. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_connected_socket_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_connected_socket_8h.html">ConnectedSocket.h</a> <a href="_connected_socket_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_connected_socket_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a socket working in connected mode. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:cvimage_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cvimage_8h.html">cvimage.h</a> <a href="cvimage_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:cvimage_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining an image of kind IplImage. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:cvmatrix_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cvmatrix_8h.html">cvmatrix.h</a> <a href="cvmatrix_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:cvmatrix_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a matrix of kind CvMat. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:cvmatrix__descriptor_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cvmatrix__descriptor_8h.html">cvmatrix_descriptor.h</a> <a href="cvmatrix__descriptor_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:cvmatrix__descriptor_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class describing cvmatrix elements, for log and graphs purpose. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_data_plot_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_data_plot_8h.html">DataPlot.h</a> <a href="_data_plot_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_data_plot_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class to display plots on ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_data_plot1_d_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_data_plot1_d_8h.html">DataPlot1D.h</a> <a href="_data_plot1_d_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_data_plot1_d_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a 1D plot on the ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_data_plot2_d_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_data_plot2_d_8h.html">DataPlot2D.h</a> <a href="_data_plot2_d_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_data_plot2_d_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a 2D plot on the ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_double_spin_box_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_double_spin_box_8h.html">DoubleSpinBox.h</a> <a href="_double_spin_box_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_double_spin_box_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qdoublespinbox.html">QDoubleSpinBox</a> on the ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_euler_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_euler_8h.html">Euler.h</a> <a href="_euler_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_euler_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining euler angles. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_find_argument_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><b>FindArgument.h</b> <a href="_find_argument_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_framework_manager_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_framework_manager_8h.html">FrameworkManager.h</a> <a href="_framework_manager_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_framework_manager_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Main class of the Framework library. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_geo_coordinate_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_geo_coordinate_8h.html">GeoCoordinate.h</a> <a href="_geo_coordinate_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_geo_coordinate_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a point by its lla coordinates. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_gps_data_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_gps_data_8h.html">GpsData.h</a> <a href="_gps_data_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_gps_data_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining gps datas. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_grid_layout_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_grid_layout_8h.html">GridLayout.h</a> <a href="_grid_layout_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_grid_layout_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qgridlayout.html">QGridLayout</a> on the ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_group_box_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_group_box_8h.html">GroupBox.h</a> <a href="_group_box_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_group_box_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qgroupbox.html">QGroupBox</a> on the ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_i2c_port_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_i2c_port_8h.html">I2cPort.h</a> <a href="_i2c_port_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_i2c_port_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for i2c port. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_imu_data_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_imu_data_8h.html">ImuData.h</a> <a href="_imu_data_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_imu_data_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining IMU datas. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:io__data_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="io__data_8h.html">io_data.h</a> <a href="io__data_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:io__data_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class for data types. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_i_o_data_element_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_i_o_data_element_8h.html">IODataElement.h</a> <a href="_i_o_data_element_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_i_o_data_element_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class for accessing an element of an io_data. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_i_o_device_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_i_o_device_8h.html">IODevice.h</a> <a href="_i_o_device_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_i_o_device_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class for input/ouput system. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_label_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_label_8h.html">Label.h</a> <a href="_label_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_label_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qlabel.html">QLabel</a> on the ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_layout_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_layout_8h.html">Layout.h</a> <a href="_layout_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_layout_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class to display a layout on the ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_layout_position_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_layout_position_8h.html">LayoutPosition.h</a> <a href="_layout_position_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_layout_position_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class to define a position in a layout on the ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_list_widget_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_list_widget_8h.html">ListWidget.h</a> <a href="_list_widget_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_list_widget_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qlistwidget.html">QListWidget</a> on the ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_map_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_map_8h.html">Map.h</a> <a href="_map_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_map_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a GPS map on the ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_matrix_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_matrix_8h.html">Matrix.h</a> <a href="_matrix_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_matrix_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a matrix. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_mutex_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_mutex_8h.html">Mutex.h</a> <a href="_mutex_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_mutex_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a mutex. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_object_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_object_8h.html">Object.h</a> <a href="_object_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_object_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for all Framework's classes. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_one_axis_rotation_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_one_axis_rotation_8h.html">OneAxisRotation.h</a> <a href="_one_axis_rotation_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_one_axis_rotation_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a rotation around one axis. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_picture_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_picture_8h.html">Picture.h</a> <a href="_picture_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_picture_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a Picture on the ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_push_button_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_push_button_8h.html">PushButton.h</a> <a href="_push_button_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_push_button_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qpushbutton.html">QPushButton</a> on the ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_quaternion_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_quaternion_8h.html">Quaternion.h</a> <a href="_quaternion_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_quaternion_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a quaternion. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_range_finder_plot_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_range_finder_plot_8h.html">RangeFinderPlot.h</a> <a href="_range_finder_plot_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_range_finder_plot_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a 2D plot on the ground station for laser range finder like Hokuyo. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_rotation_matrix_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_rotation_matrix_8h.html">RotationMatrix.h</a> <a href="_rotation_matrix_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_rotation_matrix_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a rotation matrix. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_r_t_d_m___i2c_port_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_r_t_d_m___i2c_port_8h.html">RTDM_I2cPort.h</a> <a href="_r_t_d_m___i2c_port_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_r_t_d_m___i2c_port_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for real time i2c port using RTDM. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_r_t_d_m___serial_port_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_r_t_d_m___serial_port_8h.html">RTDM_SerialPort.h</a> <a href="_r_t_d_m___serial_port_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_r_t_d_m___serial_port_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for real time serial port using RTDM. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_semaphore_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_semaphore_8h.html">Semaphore.h</a> <a href="_semaphore_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_semaphore_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a semaphore. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_send_data_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_send_data_8h.html">SendData.h</a> <a href="_send_data_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_send_data_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class for sending datas to ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_serial_port_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_serial_port_8h.html">SerialPort.h</a> <a href="_serial_port_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_serial_port_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base class for serial port. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_shared_mem_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_shared_mem_8h.html">SharedMem.h</a> <a href="_shared_mem_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_shared_mem_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a shared memory. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_spin_box_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_spin_box_8h.html">SpinBox.h</a> <a href="_spin_box_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_spin_box_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qspinbox.html">QSpinBox</a> on the ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_tab_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_tab_8h.html">Tab.h</a> <a href="_tab_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_tab_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a QTab on the ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_tab_widget_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_tab_widget_8h.html">TabWidget.h</a> <a href="_tab_widget_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_tab_widget_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qtabwidget.html">QTabWidget</a> on the ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_tcp_socket_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_tcp_socket_8h.html">TcpSocket.h</a> <a href="_tcp_socket_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_tcp_socket_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a Tcp socket. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_text_edit_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_text_edit_8h.html">TextEdit.h</a> <a href="_text_edit_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_text_edit_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qtextedit.html">QTextEdit</a> on the ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_thread_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_thread_8h.html">Thread.h</a> <a href="_thread_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_thread_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class for a thread. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_udp_socket_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><b>UdpSocket.h</b> <a href="_udp_socket_8h_source.html">[code]</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_udt_socket_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_udt_socket_8h.html">UdtSocket.h</a> <a href="_udt_socket_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_udt_socket_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a UDT socket. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_unix___i2c_port_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_unix___i2c_port_8h.html">Unix_I2cPort.h</a> <a href="_unix___i2c_port_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_unix___i2c_port_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for unix i2c port. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_unix___serial_port_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_unix___serial_port_8h.html">Unix_SerialPort.h</a> <a href="_unix___serial_port_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_unix___serial_port_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for unix serial port. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_us_sensor_plot_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_us_sensor_plot_8h.html">UsSensorPlot.h</a> <a href="_us_sensor_plot_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_us_sensor_plot_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying a plot for raw us sensor. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_vector2_d_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_vector2_d_8h.html">Vector2D.h</a> <a href="_vector2_d_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_vector2_d_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a 2D vector. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_vector3_d_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_vector3_d_8h.html">Vector3D.h</a> <a href="_vector3_d_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_vector3_d_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a 3D vector. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_vector3_ddata_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_vector3_ddata_8h.html">Vector3Ddata.h</a> <a href="_vector3_ddata_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_vector3_ddata_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining a 3D vector and a io_data. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_vector3_d_spin_box_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_vector3_d_spin_box_8h.html">Vector3DSpinBox.h</a> <a href="_vector3_d_spin_box_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_vector3_d_spin_box_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class displaying 3 <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qdoublespinbox.html">QDoubleSpinBox</a> for x,y,z on the ground station. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_watchdog_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_watchdog_8h.html">Watchdog.h</a> <a href="_watchdog_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_watchdog_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Watchdog Class. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:_widget_8h"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_widget_8h.html">Widget.h</a> <a href="_widget_8h_source.html">[code]</a></td></tr>
<tr class="memdesc:_widget_8h"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class for all Framework's widget classes. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:24 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
